LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
LinguServiceEventFlags.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::linguistic2
| Spell checker, hyphenation and thesaurus interfaces.

## Constant Groups
constants | com::sun::star::linguistic2::LinguServiceEventFlags
| to be used in lingu-service events.

## Variables
const short | SPELL_CORRECT_WORDS_AGAIN = 1
| The spelling of previously correct words should be checked again.
const short | SPELL_WRONG_WORDS_AGAIN = 2
| The spelling of previously misspelled words should be checked again.
const short | HYPHENATE_AGAIN = 4
| The hyphenation of words may have changed.
const short | PROOFREAD_AGAIN = 8
| Request new proofreading of the document.